> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد مساحات العمل

> يسرد مساحات العمل المرئية لـ أساس API العام.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/workspaces
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces:
    get:
      tags:
        - public-accounts
        - public-workspaces
      summary: سرد مساحات العمل
      description: يسرد مساحات العمل المرئية لـ أساس API العام.
      operationId: list_public_workspaces_v1_public_accounts__account_id__workspaces_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceListResponse:
      properties:
        items:
          description: مساحات العمل في هذه الصفحة
          items:
            $ref: '#/components/schemas/WorkspaceResponse'
          title: العناصر
          type: array
        page:
          description: رقم الصفحة الحالي المستند إلى واحد
          title: الصفحة
          type: integer
        page_size:
          description: الحد الأقصى للعناصر لكل صفحة
          title: حجم الصفحة
          type: integer
        total:
          description: إجمالي مساحات العمل المطابقة
          title: الإجمالي
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: WorkspaceListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: الحساب UUID الذي يمتلك مساحة العمل
          format: uuid
          title: معرف الحساب
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني لإنشاء مساحة العمل
          title: تاريخ الإنشاء
        id:
          description: UUID مساحة العمل
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم عرض مساحة العمل
          title: الاسم
          type: string
        status:
          default: active
          description: حالة دورة حياة مساحة العمل
          title: الحالة
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني لآخر تحديث لمساحة العمل
          title: تاريخ التحديث
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````